ros-rolling-rqt-plot (1.1.1-1focal) focal; urgency=high

  * Compare topics by whole tokens (#49 <https://github.com/ros-visualization/rqt_plot/issues/49>)
  * Contributors: Mabel Zhang, Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rqt-plot (1.1.0-1focal) focal; urgency=high

  * Automatically match QoS (#76 <https://github.com/ros-visualization/rqt_plot/issues/76>)
  * Fix modern setuptools warning about dashes instead of underscores (#74 <https://github.com/ros-visualization/rqt_plot/issues/74>)
  * Fix matplotlib exception on Windows (#73 <https://github.com/ros-visualization/rqt_plot/issues/73>)
  * Contributors: Chris Lalancette, Gonzo

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 31 Aug 2021 07:00:00 -0000

ros-rolling-rqt-plot (1.0.10-1focal) focal; urgency=high

  * Changed the build type to ament_python and fixed package to run with ros2 run (#58 <https://github.com/ros-visualization/rqt_plot/issues/58>)
  * Contributors: Alejandro Hernández Cordero

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 27 Apr 2021 07:00:00 -0000

ros-rolling-rqt-plot (1.0.9-1focal) focal; urgency=high

  * Fix plots of array items (#71 <https://github.com/ros-visualization/rqt_plot/issues/71>)
  * Update maintainers
  * Contributors: Ivan Santiago Paunovic, Mabel Zhang

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 05 Mar 2021 08:00:00 -0000

ros-rolling-rqt-plot (1.0.8-1focal) focal; urgency=high

  * Fix #35 <https://github.com/ros-visualization/rqt_plot/issues/35> - "bottom cannot be >= top" matplotlib error (#52 <https://github.com/ros-visualization/rqt_plot/issues/52>)
  * Contributors: Nikos Koukis

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rqt-plot (1.0.7-1focal) focal; urgency=high

  * fix KeyError when curves are removed concurrently (#37 <https://github.com/ros-visualization/rqt_plot/issues/37>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 03 Oct 2019 07:00:00 -0000

ros-rolling-rqt-plot (1.0.6-1focal) focal; urgency=high

  * fix exception when passing topic name (#33 <https://github.com/ros-visualization/rqt_plot/issues/33>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Jun 2019 07:00:00 -0000

ros-rolling-rqt-plot (1.0.2-1focal) focal; urgency=high

  * fixing resolve_topic_name method (#19 <https://github.com/ros-visualization/rqt_plot/issues/19>)
  * Contributors: Mike Lautman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-rolling-rqt-plot (1.0.1-1focal) focal; urgency=high

  * removing missing dep (#18 <https://github.com/ros-visualization/rqt_plot/issues/18>)
  * Contributors: Mike Lautman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-rolling-rqt-plot (1.0.0-1focal) focal; urgency=high

  * Porting to ros2 #17 <https://github.com/ros-visualization/rqt_plot/issues/17> from ros-visualization/ros2_port
  * autopep8 (#15 <https://github.com/ros-visualization/rqt_plot/issues/15>)
  * pyqtgraph < 0.10 fail to run (#13 <https://github.com/ros-visualization/rqt_plot/issues/13>)
  * Contributors: Kei Okada, Mike Lautman, Stephen, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-rolling-rqt-plot (0.4.8-1focal) focal; urgency=high

  * add scroll area when showing images with 1-to-1 mapping (#433 <https://github.com/ros-visualization/rqt_common_plugins/issues/433>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-rolling-rqt-plot (0.4.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-rolling-rqt-plot (0.4.6-1focal) focal; urgency=high

  * add support for plotting bool field values (#427 <https://github.com/ros-visualization/rqt_common_plugins/issues/427>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-rolling-rqt-plot (0.4.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-rolling-rqt-plot (0.4.4-1focal) focal; urgency=high

  * automatically use the value field from std_msgs.Bool messages (#420 <https://github.com/ros-visualization/rqt_common_plugins/pull/420>)
  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * reenable PyQtGraph when version >= 0.10 (#407 <https://github.com/ros-visualization/rqt_common_plugins/issues/407>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-rolling-rqt-plot (0.4.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-rolling-rqt-plot (0.4.2-1focal) focal; urgency=high

  * add keyword arg to make sort optional (#360 <https://github.com/ros-visualization/rqt_common_plugins/pull/360>)
  * disable PyQtGraph backend when Qt 5 is being used (#399 <https://github.com/ros-visualization/rqt_common_plugins/pull/399>)
  * add missing dependency on numpy (#396 <https://github.com/ros-visualization/rqt_common_plugins/issues/396>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-rolling-rqt-plot (0.4.1-1focal) focal; urgency=high

  * fix mouse wheel delta in Qt 5 (#376 <https://github.com/ros-visualization/rqt_common_plugins/issues/376>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-rolling-rqt-plot (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)
  * support matplotplot 1.5 (#358 <https://github.com/ros-visualization/rqt_common_plugins/pull/358>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-rolling-rqt-plot (0.3.13-1focal) focal; urgency=high

  * Added missing include
  * use proper icon names for add/remove
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-rolling-rqt-plot (0.3.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-rolling-rqt-plot (0.3.11-1focal) focal; urgency=high

  * save and restore axes settings (#234 <https://github.com/ros-visualization/rqt_common_plugins/issues/234>)
  * remove warning when backend is not found (#301 <https://github.com/ros-visualization/rqt_common_plugins/issues/301>)
  * fix version clash for matplot backend when PyQt5 is installed (#299 <https://github.com/ros-visualization/rqt_common_plugins/pull/200>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-rolling-rqt-plot (0.3.10-1focal) focal; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 07:00:00 -0000

ros-rolling-rqt-plot (0.3.9-1focal) focal; urgency=high

  * fix handling of variable-sized arrays (#261 <https://github.com/ros-visualization/rqt_common_plugins/issues/261>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-rolling-rqt-plot (0.3.8-1focal) focal; urgency=high

  * fix missing installation of Python subpackage

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 07:00:00 -0000

ros-rolling-rqt-plot (0.3.7-1focal) focal; urgency=high

  * fix missing import (#248 <https://github.com/ros-visualization/rqt_common_plugins/issues/248>)
  * significant improvements and unification of different plot backends (#239 <https://github.com/ros-visualization/rqt_common_plugins/issues/239>, #231 <https://github.com/ros-visualization/rqt_common_plugins/issues/231>)
  * make more things plottable including arrays and simple message types (#246 <https://github.com/ros-visualization/rqt_common_plugins/issues/246>)
  * make DataPlot a proxy for its plot widget, redraw after loading new data, add clear_values (#236 <https://github.com/ros-visualization/rqt_common_plugins/issues/236>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-rolling-rqt-plot (0.3.6-1focal) focal; urgency=high

  * subscribe to any known topic, even if currently not available (#233 <https://github.com/ros-visualization/rqt_common_plugins/pull/233>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-rolling-rqt-plot (0.3.5-1focal) focal; urgency=high

  * change minimum padding to enable viewing arbitrarily small values (#223 <https://github.com/ros-visualization/rqt_common_plugins/pull/223>)
  * redraw plot only on new data to reduce cpu load, especially with matplot (#219 <https://github.com/ros-visualization/rqt_common_plugins/issues/219>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-rolling-rqt-plot (0.3.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 08:00:00 -0000

ros-rolling-rqt-plot (0.3.3-1focal) focal; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * add checkbox to toggle automatic scrolling of plot with data
  * add simple legend for pyqtgraph backend

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-rolling-rqt-plot (0.3.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 14 Oct 2013 07:00:00 -0000

ros-rolling-rqt-plot (0.3.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-rolling-rqt-plot (0.3.0-1focal) focal; urgency=high

  * fix waiting on unpublished topics (#110 <https://github.com/ros-visualization/rqt_common_plugins/issues/110>)
  * fix rendering of icons on OS X (ros-visualization/rqt#83 <https://github.com/ros-visualization/rqt/issues/83>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-rolling-rqt-plot (0.2.17-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Jul 2013 07:00:00 -0000

ros-rolling-rqt-plot (0.2.16-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 20:33:00 -0000

ros-rolling-rqt-plot (0.2.15-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 09 Apr 2013 07:02:00 -0000

ros-rolling-rqt-plot (0.2.14-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 14 Mar 2013 07:00:00 -0000

ros-rolling-rqt-plot (0.2.13-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Mar 2013 05:14:00 -0000

ros-rolling-rqt-plot (0.2.12-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 11 Mar 2013 20:56:00 -0000

ros-rolling-rqt-plot (0.2.11-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-rolling-rqt-plot (0.2.10-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 22 Jan 2013 08:00:00 -0000

ros-rolling-rqt-plot (0.2.9-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Jan 2013 08:00:00 -0000

ros-rolling-rqt-plot (0.2.8-1focal) focal; urgency=high

  * command line arguments enabled

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-rolling-rqt-plot (0.2.7-1focal) focal; urgency=high

  * update mat plot, remove usage of collections and numpy, calculate y range once when adding data instead of on draw (ros-visualization/rqt#48 <https://github.com/ros-visualization/rqt/issues/48>)
  * automatically adjust margins for matplot on resize

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Dec 2012 08:00:00 -0000

ros-rolling-rqt-plot (0.2.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 23 Dec 2012 08:00:00 -0000

ros-rolling-rqt-plot (0.2.5-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 22 Dec 2012 03:11:00 -0000

ros-rolling-rqt-plot (0.2.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 09:13:00 -0000

ros-rolling-rqt-plot (0.2.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 08:24:00 -0000

ros-rolling-rqt-plot (0.2.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 02:29:00 -0000

ros-rolling-rqt-plot (0.2.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 01:47:00 -0000

ros-rolling-rqt-plot (0.2.0-1focal) focal; urgency=high

  * first release of this package into groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 01:39:00 -0000


